summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/ekiga/README20
-rw-r--r--network/ekiga/ekiga-3.2.4-fix_compile_gtk_212.patch15
-rw-r--r--network/ekiga/ekiga.SlackBuild158
-rw-r--r--network/ekiga/ekiga.info8
-rw-r--r--network/ekiga/slack-desc19
5 files changed, 220 insertions, 0 deletions
diff --git a/network/ekiga/README b/network/ekiga/README
new file mode 100644
index 0000000000..c97f1aec04
--- /dev/null
+++ b/network/ekiga/README
@@ -0,0 +1,20 @@
+Ekiga (formely known as GnomeMeeting) is an open source VoIP and
+video conferencing application for GNOME. Ekiga uses both the H.323
+and SIP protocols. It supports many audio and video codecs, and is
+interoperable with other SIP compliant software and also with
+Microsoft NetMeeting.
+
+This package will be built without gnome support. This breaks the
+Help button, which probably needs the Gnome help system.
+
+The following options, all disabled by default, are supported. Just
+set any of them to "yes" to enable the corresponding feature:
+- AVAHI (requires avahi)
+- GCONF (requires GConf)
+- GDU (requires gnome-doc-utils)
+- KDE (experimental KDE support)
+- KAB (experimental KAddressBook support)
+- GS (experimental GStreamer support)
+
+Ekiga requires libsigc++, ptlib, and opal, also available on
+SlackBuilds.org.
diff --git a/network/ekiga/ekiga-3.2.4-fix_compile_gtk_212.patch b/network/ekiga/ekiga-3.2.4-fix_compile_gtk_212.patch
new file mode 100644
index 0000000000..24dbea2891
--- /dev/null
+++ b/network/ekiga/ekiga-3.2.4-fix_compile_gtk_212.patch
@@ -0,0 +1,15 @@
+http://git.gnome.org/cgit/ekiga/patch/?id=6e79ecaaa2230a879ea51ff7c5680d9402b96321
+
+diff --git a/src/gui/assistant.cpp b/src/gui/assistant.cpp
+index 238609b..883c10d 100644
+--- a/src/gui/assistant.cpp
++++ b/src/gui/assistant.cpp
+@@ -343,7 +343,7 @@ static void
+ name_changed_cb (GtkEntry *entry,
+ GtkAssistant *assistant)
+ {
+- set_current_page_complete (assistant, gtk_entry_get_text_length (entry) > 0);
++ set_current_page_complete (assistant, (gtk_entry_get_text (entry))[0] != '\0');
+ }
+
+
diff --git a/network/ekiga/ekiga.SlackBuild b/network/ekiga/ekiga.SlackBuild
new file mode 100644
index 0000000000..0d4e1378ff
--- /dev/null
+++ b/network/ekiga/ekiga.SlackBuild
@@ -0,0 +1,158 @@
+#!/bin/sh
+
+# Slackware build script for Ekiga
+
+# Copyright 2008-2009 Mauro Giachero (mauro dot giachero at gmail dot com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ekiga
+VERSION=${VERSION:-3.2.4}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+# Requires avahi
+if [[ ${AVAHI:-no} = "no" ]] ; then
+ DO_AVAHI="dis"
+else
+ DO_AVAHI="en"
+fi
+
+# Requires GConf
+if [[ ${GCONF:-no} = "no" ]] ; then
+ DO_GCONF="dis"
+else
+ DO_GCONF="en"
+fi
+
+# Requires gnome-doc-utils
+if [[ ${GDU:-no} = "no" ]] ; then
+ DO_GDU="dis"
+else
+ DO_GDU="en"
+fi
+
+# Experimental XCAP support
+# Requires libsoup 2.4, still not available on SBo
+#if [[ ${XCAP:-no} = "no" ]] ; then
+ DO_XCAP="dis"
+#else
+# DO_XCAP="en"
+#fi
+
+# Experimental KDE support
+if [[ ${KDE:-no} = "no" ]] ; then
+ DO_KDE="dis"
+else
+ DO_KDE="en"
+fi
+
+# Experimental KAddressBook support
+if [[ ${KAB:-no} = "no" ]] ; then
+ DO_KAB="dis"
+else
+ DO_KAB="en"
+fi
+
+# Experimental GStreamer support
+if [[ ${GS:-no} = "no" ]] ; then
+ DO_GS="dis"
+else
+ DO_GS="en"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix compilation on gtk-2.12.x
+patch -p1 < $CWD/ekiga-3.2.4-fix_compile_gtk_212.patch || patch -p1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-gnome \
+ --${DO_GCONF}able-gconf \
+ --${DO_AVAHI}able-avahi \
+ --${DO_GDU}able-gdu \
+ --disable-eds \
+ --${DO_XCAP}able-xcap \
+ --${DO_KDE}able-kde \
+ --${DO_KAB}able-kab \
+ --${DO_GS}able-gstreamer \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a [A-CE-LN-Z]* MAINTAINERS doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/ekiga/ekiga.info b/network/ekiga/ekiga.info
new file mode 100644
index 0000000000..b2a703de8f
--- /dev/null
+++ b/network/ekiga/ekiga.info
@@ -0,0 +1,8 @@
+PRGNAM="ekiga"
+VERSION="3.2.4"
+HOMEPAGE="http://www.ekiga.org/"
+DOWNLOAD="http://www.ekiga.org/admin/downloads/latest/sources/ekiga_3.2.4/ekiga-3.2.4.tar.gz"
+MD5SUM="efda83ebe170f41b54738da7cb117633"
+MAINTAINER="Mauro Giachero"
+EMAIL="mauro dot giachero at gmail dot com"
+APPROVED="rworkman"
diff --git a/network/ekiga/slack-desc b/network/ekiga/slack-desc
new file mode 100644
index 0000000000..c516ea561f
--- /dev/null
+++ b/network/ekiga/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ekiga: Ekiga (an open source VoIP and video conferencing application)
+ekiga:
+ekiga: Ekiga (formely known as GnomeMeeting) is an open source VoIP and
+ekiga: video conferencing application for GNOME. Ekiga uses both the H.323
+ekiga: and SIP protocols. It supports many audio and video codecs, and is
+ekiga: interoperable with other SIP compliant software and also with
+ekiga: Microsoft NetMeeting.
+ekiga:
+ekiga: Homepage: http://www.ekiga.org/
+ekiga:
+ekiga: